Bug 234751 - dns/knot2: [patch] upgrade to 2.7.5 and requested patching
Summary: dns/knot2: [patch] upgrade to 2.7.5 and requested patching
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL: https://www.knot-dns.cz/2019-01-07-ve...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-01-08 15:15 UTC by Leo Vandewoestijne
Modified: 2019-01-09 12:34 UTC (History)
0 users

See Also:


Attachments
knot 2.7.5 (2.58 KB, patch)
2019-01-08 15:15 UTC, Leo Vandewoestijne
freebsd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2019-01-08 15:15:54 UTC
Created attachment 200915 [details]
knot 2.7.5

Yesterday knot 2.7.5 was released.
I applied the changes, and also applied a requested feature: to have -c and -C combined in rc.conf.
So now can use config files or config db:

bird_config="bird.conf"

and

bird_config="db:/var/db/knot/confdb"

The init script will determine wether to use -c or -C as argument.
Comment 1 commit-hook freebsd_committer 2019-01-09 12:34:10 UTC
A commit references this bug:

Author: swills
Date: Wed Jan  9 12:33:31 UTC 2019
New revision: 489774
URL: https://svnweb.freebsd.org/changeset/ports/489774

Log:
  dns/knot2: update to 2.7.5

  While here, patch init script to support automatically determining
  config type

  PR:		234751
  Submitted by:	Leo Vandewoestijne <freebsd@dns.company> (maintainer)

Changes:
  head/dns/knot2/Makefile
  head/dns/knot2/distinfo
  head/dns/knot2/files/knot.in
Comment 2 Steve Wills freebsd_committer 2019-01-09 12:34:40 UTC
Committed, thanks!